/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.fleet.vehicle.tree;

import nl.cloudfarming.client.fleet.machine.tree.MachineCategoryChildFactory;
import nl.cloudfarming.client.fleet.model.Vehicle;
import nl.cloudfarming.client.fleet.model.VehicleManager;
import org.openide.filesystems.FileObject;
import org.openide.nodes.Node;
import org.openide.util.Lookup;
import org.openide.util.lookup.Lookups;
import org.openide.util.lookup.ProxyLookup;

/**
 *
 * @author Maciek Dulkiewicz && Wytse Visser
 */
public class VehicleCategoryChildFactory extends MachineCategoryChildFactory {

    public static final String EXT = "vce";

    public VehicleCategoryChildFactory(FileObject vehicleDir) {
        super(EXT, vehicleDir);
    }

    @Override
    protected Node createNodeForKey(FileObject fileObject) {
        VehicleManager manager = Lookup.getDefault().lookup(VehicleManager.class);
        Vehicle vehicle = manager.load(fileObject);
        if (vehicle != null) {
            return new VehicleNode(createLookup(fileObject, vehicle));
        } else {
            return null;
        }
    }
}